aboutsummaryrefslogtreecommitdiffstats
path: root/community/setconf
diff options
context:
space:
mode:
authorMichael Koloberdin <koloberdin@gmail.com>2016-09-26 10:17:39 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-10-19 15:28:50 +0000
commitb3ed9f93eedb08e14ed383384b9dca81a6c4ddeb (patch)
tree28786b1c6d6aab36fff4f5fe3f24f6094211e9a5 /community/setconf
parentc305d999889b236d7d3d8bfeea7a43ea1a45ffc3 (diff)
downloadaports-b3ed9f93eedb08e14ed383384b9dca81a6c4ddeb.tar.gz
aports-b3ed9f93eedb08e14ed383384b9dca81a6c4ddeb.tar.bz2
aports-b3ed9f93eedb08e14ed383384b9dca81a6c4ddeb.tar.xz
community/setconf: move from testing
Diffstat (limited to 'community/setconf')
-rw-r--r--community/setconf/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/community/setconf/APKBUILD b/community/setconf/APKBUILD
new file mode 100644
index 0000000000..095e990b24
--- /dev/null
+++ b/community/setconf/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Michael Koloberdin <koloberdin@gmail.com>
+pkgname=setconf
+pkgver=0.7.3
+pkgrel=0
+pkgdesc="Utility for easily changing settings in configuration files"
+url="http://setconf.roboticoverlords.org/"
+arch="noarch"
+license="GPL2"
+depends="python"
+subpackages="$pkgname-doc"
+source="http://setconf.roboticoverlords.org/$pkgname-$pkgver.tar.xz"
+builddir="$srcdir/"
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ install -Dm755 "$pkgname.py" "$pkgdir/usr/bin/$pkgname" || return 1
+ install -Dm644 "$pkgname.1.gz" "$pkgdir/usr/share/man/man1/$pkgname.1.gz" || return 1
+}
+
+md5sums="200671d94ffc21fec10c56d34b485004 setconf-0.7.3.tar.xz"
+sha256sums="a10d8667d03113e42209cca993a9276b6b998678ce4d27c0913faecb555dc259 setconf-0.7.3.tar.xz"
+sha512sums="43682bf87dc090d88f05b66aa338736f84935b13c5775a73a713411c7589e5baa95c00e408546ec6bbe633bdb9362198984dd0715880824d27916a7e13963fba setconf-0.7.3.tar.xz"